MAKEBEAROFF(6)

NAME
makebearoff - generate a GNU Backgammon bearoff database

SYNOPSIS
makebearoff [-HCcgnvh] -f filename [-t PxC] [-o P] [-s cache-size] [-O filename]

DESCRIPTION
makebearoff generates GNU Backgammon bearoff databases, which are used to improve play in the endgame. It can generate either two-sided (exact) databases that tell precisely the chance of winning or one-sided (approximate) databases that provide a variety of probabilities looking at each side independently.

Bearoff databases can get quite large and can take a significant amount of time to generate for large numbers of chequers and/or points.

OPTIONS

-f filename, --outfile filename
    Write the bearoff database to filename. This option must be given.

-t PxC, --two-sided PxC
    Generate a two-sided bearoff database for P points and C chequers for each player. Be warned that the size of the database grows rapidly with larger numbers of points and chequers.

-o P, --one-sided P
    Generate a one-sided bearoff database for P points. One-sided bearoff databases are always generated for up to fifteen chequers.

-s N, --xhash-size N
    Use a memory cache of size N while building the database. If the cache is smaller than the database size, database generation will be slower due to disk writes.

-O filename, --old-bearoff filename
    Reuse an already generated bearoff database. Any needed data already in this database will just be copied without regenerating it.

-H, --no-header
    Do not write the normal bearoff database header.

-C, --no-cubeful
    Do not calculate cubeful equities for two-sided databases.

-c, --no-compress
    Do not compress one-sided databases.

-g, --no-gammons
    Do not include gammon distributions in one-sided databases.

-n, --normal-dist
    Rather than storing exact probabilities, approximate probabilities in a one-sided database with a normal distribution.

-v, --version
    Show version information and exit.

-h, --help
    Display usage and exit.

EXAMPLES
To generate a two-sided database for up to eight chequers on six points:

    makebearoff -t 6x8 -f gnubg_ts.bd

Note that this database is 72MB in size. To generate a one-sided database for up to fifteen chequers on ten points:

    makebearoff -o 10 -f gnubg_os.bd

Note that this database is 118MB in size.

SEE ALSO
gnubg(6), bearoffdump(6)

AUTHORS
Joseph Heled, Øystein Johansen, Jørn Thyssen, and Gary Wong, with the assistance of many others <bug-gnubg@gnu.org>.

This manual page was written by Russ Allbery <rra@debian.org>, for the Debian GNU/Linux system (but may be used by others). It may be redistributed and/or modified under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation (the same license as GNU Backgammon).